export declare class FullSyncResponse {
    static RESPONSE_KEY_OK: string;
    static RESPONSE_KEY_DOCUMENT_ID: string;
    static RESPONSE_KEY_DOCUMENT_REVISION: string;
}
export declare class FullSyncAbstractResponse {
    private operationStatus;
    constructor(operationStatus: boolean);
    getProperties(): any;
}
export declare class FullSyncDefaultResponse extends FullSyncAbstractResponse {
    constructor(operationStatus: boolean);
}
export declare class FullSyncDocumentOperationResponse extends FullSyncAbstractResponse {
    documentId: string;
    documentRevision: string;
    constructor(documentId: string, documentRevision: string, operationStatus: boolean);
    getProperties(): Object;
}
